Skip to content
NEWCollect for MSMEs: UPI Autopay, eNACH & remindersExplore app ↗

List Grades

Use this API to fetch grade codes used in student registration and update payloads.

GET /api/v1/integrations/erp/grades
Terminal window
curl -X GET 'https://[base_url]/api/v1/integrations/erp/grades?collector_code=ed3ef2db524f' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic <token>'
ParameterTypeRequiredDescription
collector_codestringConditionalRequired when the institute is part of a group or has branch-specific configuration.

HTTP 200

{
"status": "success",
"data": [
{
"code": "e33b3c58-b2c7-4769-b89b-73f7fab5492f",
"name": "Class 1",
"stream": {
"name": "CBSE"
}
}
]
}
AttributeTypeDescription
data[].codestringGrade code to send in student APIs.
data[].namestringGrade display name.
data[].stream.namestringStream or board name associated with the grade.